org.gradle.platform.base

## Interface BinaryContainer

- All Superinterfaces:
    Collection<BinarySpec>, org.gradle.util.Configurable<NamedDomainObjectContainer<BinarySpec>>, DomainObjectCollection<BinarySpec>, ExtensiblePolymorphicDomainObjectContainer<BinarySpec>, Iterable<BinarySpec>, NamedDomainObjectCollection<BinarySpec>, NamedDomainObjectContainer<BinarySpec>, NamedDomainObjectSet<BinarySpec>, PolymorphicDomainObjectContainer<BinarySpec>, Set<BinarySpec>

      @Incubating
      public interface BinaryContainer
      extends ExtensiblePolymorphicDomainObjectContainer<BinarySpec>

  A container for project binaries, which represent physical artifacts that can run on a particular platform or runtime. Added to a project by the `LanguageBasePlugin`.

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.ExtensiblePolymorphicDomainObjectContainer

      `registerBinding, registerDefaultFactory, registerFactory, registerFactory`

    - ### Methods inherited from interface org.gradle.api.PolymorphicDomainObjectContainer

      `containerWithType, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getNamer, getNames, getRules`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`